package taurus.util;

import java.util.ArrayList;
import java.util.List;

public  class PlayerState {
        public List<Integer> handCards;          // 当前手牌
        public List<List<Integer>> pongGroups;   // 碰的牌组（每组3张）
        public List<List<Integer>> gangGroups;   // 杠的牌组（每组4张）
        public List<List<Integer>> chiGroups;    // 吃的牌组（每组3张）
        public boolean isZhuang;


        public PlayerState() {
            this.handCards = new ArrayList<>();
            this.pongGroups = new ArrayList<>();
            this.gangGroups = new ArrayList<>();
            this.chiGroups = new ArrayList<>();
            this.isZhuang = false;
        }


        // 获取碰牌组数
        public int getPongGroupCount() {
            return pongGroups.size();
        }

        // 获取杠牌组数
        public int getGangGroupCount() {
            return gangGroups.size();
        }

        // 获取吃牌组数
        public int getChiGroupCount() {
            return chiGroups.size();
        }

    }